package edu.fichte.pbi.prgm.cmd.control;

import edu.fichte.pbi.prgm.cmd.ICommand;
import edu.fichte.pbi.run.app.IConsole;
import edu.fichte.pbi.vm.Machine;

public class Label implements ICommand {

  private final String name;

  public Label(String name) {
    this.name = name;
  }

  
  public void execute(Machine machine, IConsole console) {
    // a label is called, but not executed
  }

  
  public String infoMsg() {
    return "[Info]Execution reached a label called \"" + getName() + "\"";
  }

  
  @Override
public String toString() {
    return "LABEL";
  }

  public String getName() {
    return name;
  }
}
