package edu.fichte.pbi.prgm.cmd.control.power;

import edu.fichte.pbi.prgm.cmd.time.Pause;

/**
 * Sets the controller to standby for a time * 50 ms. Simulated by a pause.
 * 
 * @author Johanna Reichmann
 * @version 2.15
 */
public class Nap extends Pause {

  public Nap(String time) {
    super(time, 50);
  }

  
  @Override
public String infoMsg() {
    return "[Info]Paused the execution for ca." + (time * 50) + " milliseconds";
  }

}
