package edu.fichte.pbi.prgm.err.runtime;

import edu.fichte.pbi.prgm.err.IError;

public class ExpressionUnparseableRuntimeError implements IError {

  String expression;

  public ExpressionUnparseableRuntimeError(String expression) {
    super();
    this.expression = expression;
  }

  
  public String errorMsg() {
    return "[Error, runtime]Expression \"" + expression.trim()
        + "\"is not valid";
  }

}
