package edu.fichte.pbi.vm.var;

import edu.fichte.pbi.util.ParserException;

/**
 * Wrapper for the system time. Not accessible at the bs1, but useful if you want tos do a
 * speed-test.
 * 
 * @author Elias Groll
 * @version 2.15
 */
public class Clock implements IVariable {

  
  public long getValue() {
    return System.currentTimeMillis();
  }

  
  public void setValue(long value) {
    throw new ParserException("Cannot change constant value");
  }

	@Override
	public void setVariableListener(IVariableListener iVariableListener) {
		throw new UnsupportedOperationException();
	}
}
